import 'package:dio/dio.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:latlong2/latlong.dart';
import 'package:niogu_ecommerce_v1/core/network/dio_client.dart';
import 'package:niogu_ecommerce_v1/core/service/echo_service.dart';

final dioProvider = Provider<Dio>((ref) => DioClient().instance);

final echoServiceProvider = Provider<EchoService>((ref) => EchoService());

final currentOutletIdProvider = StateProvider<String?>((ref) => null);

final currentOutletNameProvider = StateProvider<String?>((ref) => null);

final currentOutletPhoneProvider = StateProvider<String?>((ref) => null);

final currentOutletLocationProvider = StateProvider<String?>((ref) => null);

final currentOutletCoordinateProvider = StateProvider<LatLng?>((ref) => null);

final currentCustomerIdProvider = StateProvider<String?>((ref) => null);

final currentCustomerNameProvider = StateProvider<String?>((ref) => null);

final currentCustomerEmailProvider = StateProvider<String?>((ref) => null);

final currentCustomerPhoneProvider = StateProvider<String?>((ref) => null);

final currentStatusLoginProvider = StateProvider<bool>((ref) => false);
